<template>
  <div>
    <a-tabs
        type="card"
        @change="tabChange"
    >
      <a-tab-pane
          :tab="$t('functional-analysis.top-btn.name')"
          key="name"
      >
        <NameTable/>
      </a-tab-pane>
      <a-tab-pane
          :tab="$t('functional-analysis.top-btn.description')"
          key="description"
      >
        <DescriptionTable/>
      </a-tab-pane>
    </a-tabs>
  </div>
</template>
<script>

import NameTable from './components/NameTable';
import DescriptionTable from './components/DescriptionTable';

export default {
  components: {
    NameTable,
    DescriptionTable
  },
  data() {
    return {
    };
  },
  methods: {
    tabChange() {
    },
    /**
     * 关闭对话框
     */
    closeModal() {
      this.$emit("closeModal");
    },
  },
  mounted() {
  }
};
</script>
<style lang="less" scoped>
/deep/ .ant-table-tbody {
  .ant-table-row-cell-ellipsis:nth-of-type(2) {
    text-align: left !important;
  }
}

/*/deep/ .ant-table-fixed-header > .ant-table-content > .ant-table-scroll > .ant-table-body {
  overflow-y: auto !important;
}*/
</style>
